Subject: [mpls] A question on draft-vkst-bfd-mpls-mib-01

From: Bala Subrahmanyam Venkata <[email-masked]>
Date: Thu, 12 Apr 2012 13:46:08 +0530

Hello-

This is regarging the BFD MIB for MPLS-TP posted here:

http://www.ietf.org/mail-archive/web/i-d-announce/current/msg42230.html

I have a question about bfdMplsSessMode column proposed. It says

bfdMplsSessMode  OBJECT-TYPE
           SYNTAX      INTEGER {
                         cc(1),
                         cv(2)
                       }
           MAX-ACCESS  read-create
           STATUS      current
           DESCRIPTION
             "This object specifies whether the BFD session is running
              in Continuity Check(CC) or the Connectivity
              Verification(CV) mode."
           REFERENCE
               "1.Proactive Connectivity Verification, Continuity Check
                  and Remote Defect Indication for MPLS Transport
                  Profile, draft-ietf-mpls-tp-cc-cv-rdi-06"
           DEFVAL { cc }

       ::= { bfdMplsSessEntry 2 }

What about the cases where   the CC and CV messages are sent over the
same session ? Is it expected that two entries exist in the
bfdMplsSessTable - one for CC and another for CV ? I'm referring to
the first line in section 3.2 of RFC 6428: "The combined CC, CV, and
RDI functionality for MPLS-TP is achieved by multiplexing CC and CV
PDUs within a single BFD session."

Btw, replace the 'draft' reference with 'RFC 6428' in the MIB.

Thanks !

/bala

---

From: venkatesan mahalingam <[email-masked]>
Date: Tue, 24 Apr 2012 16:34:49 -0700

Bala,

Sorry for the delayed response. Please see in-line.

Thanks,
Venkat.

On Thu, Apr 12, 2012 at 1:16 AM, Bala Subrahmanyam Venkata <
[email-masked]> wrote:

> [VM] bfdMplsSessMode can have the option cc-cv (3) for multiplexing CC &
> CV PDUs within a single BFD session

and we will add/modify the necessary MIB objects if required
> to accommodate this requirement completely.

> [VM] Thanks. We'll correct it in the next version.
>
> Thanks !
>
> /bala
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

---

From: Francesco Fondelli <[email-masked]>
Date: Wed, 25 Apr 2012 21:38:15 +0200

Hi,

> Sorry for the delayed response. Please see in-line.

[cut]

>> bfdMplsSessMode  OBJECT-TYPE

[cut]

>> CV PDUs within a single BFD session

I think cv(2) mode does not exist.  As far as I understand RFC 6428 we
have plain cc(1) or cc-cv(3).

hope this helps
ciao
FF